$spacingBreakpointsCount: 30;

@for $i from 0 through $spacingBreakpointsCount {
  .pt-#{$i} {
    padding-top: $i * 5px;
  }

  .pr-#{$i} {
    padding-right: $i * 5px;
  }

  .pb-#{$i} {
    padding-bottom: $i * 5px;
  }

  .pl-#{$i} {
    padding-left: $i * 5px;
  }

  .p-#{$i} {
    @extend .pt-#{$i};
    @extend .pr-#{$i};
    @extend .pb-#{$i};
    @extend .pl-#{$i};
  }

  .mt-#{$i} {
    margin-top: $i * 5px;
  }

  .mr-#{$i} {
    margin-right: $i * 5px;
  }

  .mb-#{$i} {
    margin-bottom: $i * 5px;
  }

  .ml-#{$i} {
    margin-left: $i * 5px;
  }

  .m-#{$i} {
    @extend .mt-#{$i};
    @extend .mr-#{$i};
    @extend .mb-#{$i};
    @extend .ml-#{$i};
  }
}
